Name: mailfront-plugin-rblcheck
Summary: A mailfront plugin to provide an ability for rejecting/deferring/tagging messages based on $RBLCHECK environment variable.
Version: 0.01
Release: 1
License: GPL
Group: Utilities/System
Source: http://choon.net/opensource/mailfront-plugin-rblcheck-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gcc >= 3.4.6, make, bglibs-devel >= 1.104, mailfront-devel >= 1.12
Requires: bglibs >= 1.104, mailfront >= 1.12, ucspi-tcp >= 0.88
URL: http://choon.net/mailfront-plugin-rblcheck.php
Packager: Giam Teck Choon <choonrpms@choon.net>

%description
Plugin: rblcheck

A mailfront plugin to provide an ability for rejecting/deferring/tagging messages based on $RBLCHECK environment variable.  $RBLCHECK is set by patched rblsmtpd if the sender's IP is listed.

IMPORTANT: This plugin is written for and tested with mailfront 1.12.

%prep
%setup
# conf-bgincs default is /usr/local/bglibs/include
# conf-bglibs default is /usr/local/bglibs/lib
# conf-ld default is gcc -s -L/usr/local/lib
echo "gcc -s -rdynamic" >conf-ld
# conf-mailfrontincs default is /usr/local/include/mailfront
echo %{_includedir}/mailfront > conf-mailfrontincs
# conf-modules default is /usr/local/lib/mailfront
echo %{_libdir}/mailfront > conf-modules
#echo "gcc %{optflags}" >conf-cc
# conf-ccso default is gcc -W -Wall -Wshadow -O -g -I/usr/local/include -fPIC -shared
#echo "gcc %{optflags} -fPIC -shared" >conf-ccso
#echo %{_bindir} >conf-bin
#echo %{_libdir}/mailfront >conf-modules
#echo %{_includedir} >conf-include

%build
make

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/mailfront
install -m0755 plugin-rblcheck.so %{buildroot}/%{_libdir}/mailfront/
#make install_prefix=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING CHANGES plugin-rblcheck.html
#%{_bindir}/*
%{_libdir}/mailfront/plugin-rblcheck.so

%changelog

* Fri Jan 29 2010 Giam Teck Choon <choonrpms@choon.net> - 0.01-1
- Initial Release
